<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>CORK Admin Template - Forms Markdown Editor</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Quicksand:400,500,600,700&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->

    <!-- BEGIN PAGE LEVEL STYLE -->
    <link href="/assets/css/scrollspyNav.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/tables/table-basic.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/datatables.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/dt-global_style.css">
    <link rel="stylesheet" type="text/css" href="/assets/css/forms/switches.css">
    <link rel="stylesheet" type="text/css" href="/plugins/table/datatable/custom_dt_custom.css">
    <link href="/assets/css/dashboard/dash_2.css" rel="stylesheet" type="text/css" />
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <!-- END PAGE LEVEL STYLE -->
</head>

<body class="sidebar-noneoverflow" data-spy="scroll" data-target="#navSection" data-offset="100">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar') %>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <!-- <div class="container" > -->
            <div class="layout-px-spacing">
                <div class="row layout-top-spacing">
                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12">
                        <div class="row widget-statistic">
                            <div class="col-xl-3 col-lg-3 col-md-0 col-sm-0 col-0"></div>
                            <div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-12">
                                <div class="widget widget-one_hybrid widget-engagement">
                                    <div class="widget-heading row">
                                        <div class="col-3">
                                            <div class="w-icon">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                    viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                    class="feather feather-box">
                                                    <path
                                                        d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z">
                                                    </path>
                                                    <polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline>
                                                    <line x1="12" y1="22.08" x2="12" y2="12"></line>
                                                </svg>
                                            </div>
                                        </div>

                                        <div class="col-9 text-right">
                                            <p class="w-value"><%=item.length %></p>
                                            <h5 class="">สินค้าทั้งหมด</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-12">
                                <div class="widget widget-one_hybrid widget-engagement">
                                    <div class="widget-heading row">
                                        <div class="col-3">
                                            <div class="w-icon">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                    viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                    stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                                                    class="feather feather-box">
                                                    <path
                                                        d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z">
                                                    </path>
                                                    <polyline points="3.27 6.96 12 12.01 20.73 6.96"></polyline>
                                                    <line x1="12" y1="22.08" x2="12" y2="12"></line>
                                                </svg>
                                            </div>

                                        </div>

                                        <div class="col-9 text-right">
                                            <p class="w-value"><%=item_acitve %></p>
                                            <h5 class="">สินค้าเปิดใช้งาน</h5>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-lg-3 col-md-0 col-sm-0 col-0"></div>
                        </div>
                    </div>
                    <div id="tabsSimple" class="col-lg-12 col-12 layout-top-spacing">
                        <ul class="nav nav-tabs  mb-3" id="simpletab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="product-tab" data-toggle="tab" href="#product" role="tab"
                                    aria-controls="product" aria-selected="true" style="font-size: 18px;">Products</a>
                            </li>
                        </ul>
                        <div class="tab-content " id="simpletabContent">
                            <div class="tab-pane fade show active" id="product" role="tabpanel"
                                aria-labelledby="product-tab">
                                <div class="row layout-top-spacing layout-spacing">
                                    <div class="col-lg-12">
                                        <div class="statbox widget box box-shadow">
                                            <!-- <div class="widget-header">
                                               <div class="mt-3 ml-3">
                                                <a href="javascript:void(0);" data-placement="top"
                                                title="Add" data-toggle="modal"
                                                data-target="#exampleModalCenter"><svg xmlns="http://www.w3.org/2000/svg"
                                                    width="24" height="24" viewBox="0 0 24 24" fill="none"
                                                    stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                                    stroke-linejoin="round" class="feather feather-settings">
                                                    <circle cx="12" cy="12" r="3"></circle>
                                                    <path
                                                        d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z">
                                                    </path>
                                                </svg></a>
                                               </div>
                                            </div> -->
                                            <div class="widget-header">
                                                <a href="javascript:void(0);" data-placement="top" title="Add"
                                                    data-toggle="modal" data-target="#exampleModalCenter"><button
                                                        class="btn btn-success mt-2 md"><svg
                                                            xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                            viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                            stroke-width="2" stroke-linecap="round"
                                                            stroke-linejoin="round" class="feather feather-settings">
                                                            <circle cx="12" cy="12" r="3"></circle>
                                                            <path
                                                                d="M19.4 15a1.65 1.65 0 0 0 .33 1.82l.06.06a2 2 0 0 1 0 2.83 2 2 0 0 1-2.83 0l-.06-.06a1.65 1.65 0 0 0-1.82-.33 1.65 1.65 0 0 0-1 1.51V21a2 2 0 0 1-2 2 2 2 0 0 1-2-2v-.09A1.65 1.65 0 0 0 9 19.4a1.65 1.65 0 0 0-1.82.33l-.06.06a2 2 0 0 1-2.83 0 2 2 0 0 1 0-2.83l.06-.06a1.65 1.65 0 0 0 .33-1.82 1.65 1.65 0 0 0-1.51-1H3a2 2 0 0 1-2-2 2 2 0 0 1 2-2h.09A1.65 1.65 0 0 0 4.6 9a1.65 1.65 0 0 0-.33-1.82l-.06-.06a2 2 0 0 1 0-2.83 2 2 0 0 1 2.83 0l.06.06a1.65 1.65 0 0 0 1.82.33H9a1.65 1.65 0 0 0 1-1.51V3a2 2 0 0 1 2-2 2 2 0 0 1 2 2v.09a1.65 1.65 0 0 0 1 1.51 1.65 1.65 0 0 0 1.82-.33l.06-.06a2 2 0 0 1 2.83 0 2 2 0 0 1 0 2.83l-.06.06a1.65 1.65 0 0 0-.33 1.82V9a1.65 1.65 0 0 0 1.51 1H21a2 2 0 0 1 2 2 2 2 0 0 1-2 2h-.09a1.65 1.65 0 0 0-1.51 1z">
                                                            </path>
                                                        </svg> ตั้งค่าขั้นต่ำ</button></a>

                                            </div>
                                            <div class="widget-content widget-content-area">
                                                <div class="table-responsive mb-4">
                                                    <table id="style-2" class="table style-2  table-hover">
                                                        <thead>
                                                            <tr>
                                                                <th>รหัสสินค้า</th>
                                                                <th>รูปสินค้า</th>
                                                                <th>ชื่อสินค้า</th>
                                                                <th>สถานะคลัง</th>
                                                                <th class="text-center">QUANTITY</th>
                                                                <th class="text-center">STATUS</th>
                                                                <th class="text-center">Action</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <% item.forEach((element)=>{ %>
                                                            <tr>
                                                                <td><%=element.product_code %></td>
                                                                <td>
                                                                    <span><img src="<%=element.img_link %>"
                                                                            class="rounded-circle profile-img"
                                                                            alt="avatar" width="60px"
                                                                            height="auto"></span>
                                                                </td>
                                                                <td><%=element.product_name %></td>
                                                                <td>
                                                                    <% if(element.quantity - element.qty_book > 0 && element.quantity - element.qty_book > noti){ %>
                                                                        <div class="badge badge-success">สินค้ายังเพียงพอ
                                                                        </div>
                                                                    <% }else if(element.quantity - element.qty_book == 0){ %>
                                                                        <div class="badge badge-danger">สินค้าไม่เพียงพอ
                                                                        </div>
                                                                    <% }else if(element.quantity - element.qty_book <= noti){ %>
                                                                        <div class="badge badge-warning">สินค้าถึงที่กำหนด
                                                                        </div>
                                                                    <% }else{ %>
                                                                        <div class="badge badge-danger">สินค้าไม่เพียงพอ
                                                                        </div>
                                                                    <% } %>
                                                                </td>
                                                                <td class="text-success text-center"
                                                                    style="font-size: 23px;"><%=element.quantity - element.qty_book %>
                                                                </td>
                                                                <td class="text-center">
                                                                    <% if(element.status == 1 ){ %>
                                                                        <div class="badge badge-success">เปิดใช้งาน
                                                                        </div>
                                                                    <% } else { %>
                                                                        <div class="badge badge-danger">ปิดใช้งาน
                                                                        </div>
                                                                    <% } %>
                                                                </td>
                                                                <td class="text-center">
                                                                    <ul class="table-controls">
                                                                    <% if(parseInt(locals.type) == 0){ %>
                                                                        <li><a href="javascript:void(0);"
                                                                            data-toggle="modal" data-target="#AddStock_<%=element.id %>"
                                                                                data-placement="top" title="เพิ่มสต็อก"><svg
                                                                                    xmlns="http://www.w3.org/2000/svg"
                                                                                    width="24" height="24"
                                                                                    viewBox="0 0 24 24" fill="none"
                                                                                    stroke="currentColor"
                                                                                    stroke-width="2"
                                                                                    stroke-linecap="round"
                                                                                    stroke-linejoin="round"
                                                                                    class="feather feather-plus-circle">
                                                                                    <circle cx="12" cy="12" r="10">
                                                                                    </circle>
                                                                                    <line x1="12" y1="8" x2="12"
                                                                                        y2="16"></line>
                                                                                    <line x1="8" y1="12" x2="16"
                                                                                        y2="12"></line>
                                                                                </svg></a></li>
                                                                    <% } %>
                                                                    <% if((element.quantity - element.qty_book) > 0){ %>
                                                                        <li><a href="javascript:void(0);"
                                                                            data-toggle="modal" data-target="#DeleteStock_<%=element.id %>"
                                                                                data-placement="top" title="เบิกสต็อก"><svg
                                                                                    xmlns="http://www.w3.org/2000/svg"
                                                                                    width="24" height="24"
                                                                                    viewBox="0 0 24 24" fill="none"
                                                                                    stroke="currentColor"
                                                                                    stroke-width="2"
                                                                                    stroke-linecap="round"
                                                                                    stroke-linejoin="round"
                                                                                    class="feather feather-minus-circle">
                                                                                    <circle cx="12" cy="12" r="10">
                                                                                    </circle>
                                                                                    <line x1="8" y1="12" x2="16"
                                                                                        y2="12"></line>
                                                                                </svg></a></li>
                                                                    <% } %>
                                                                        <li><a href="javascript:void(0);" data-toggle="modal" data-target="#Details_<%=element.id %>" data-placement="top" title=""><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-edit-2">
                                                                            <path d="M17 3a2.828 2.828 0 1 1 4 4L7.5 20.5 2 22l1.5-5.5L17 3z">
                                                                            </path>
                                                                        </svg></a></li>
                                                                    </ul>
                                                                </td>
                                                            </tr>
                                                            <% }) %>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- </div> -->
            <!-- <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2020 <a target="_blank" href="https://designreset.com">DesignReset</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg></p>
                </div>
            </div> -->
        </div>
        <!--  END CONTENT AREA  -->


    </div>
    <!-- END MAIN CONTAINER -->
    <!-- Modal -->
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog"
        aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalCenterTitle">ตั้งค่าขั้นต่ำสต็อกสินค้า</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="exampleFormControlInput1">จำนวน <span>(**ขั้นต่ำ 3 กล่อง)</span></label>
                        <input type="number" class="form-control" id="noti" value="<%=noti %>">
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิก</button>
                    <button type="button" class="btn btn-primary" onclick="update_noti()">บันทึก</button>
                </div>
            </div>
        </div>
    </div>
    <% item.forEach((e) =>{ %>
    <!-- Modal -->
    <div class="modal fade" id="AddStock_<%=e.id %>" tabindex="-1" role="dialog"
        aria-labelledby="AddStockTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="AddStockTitle">เพิ่มสต็อกสินค้า</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="add_product_<%=e.id %>">จำนวน</label>
                        <input type="number" class="form-control" id="add_product_<%=e.id %>">
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิก</button>
                    <button type="button" class="btn btn-primary" onclick="add_product('<%=e.id %>')">บันทึก</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="DeleteStock_<%=e.id %>" tabindex="-1" role="dialog"
    aria-labelledby="DeleteStockTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="DeleteStockTitle">เบิกสต็อกสินค้า</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="exampleFormControlInput1">จำนวน</label>
                        <input type="number" class="form-control" id="delete_<%=e.id %>">
                    </div>
                    <div class="form-group">
                    <label for="exampleFormControlInput1">หมายเหตุ</label>
                    <input type="text" class="form-control" id="remak_delete_<%=e.id %>">
                </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิก</button>
                    <button type="button" class="btn btn-primary" onclick="delete_product('<%=e.id %>')">บันทึก</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="Details_<%=e.id %>" tabindex="-1" role="dialog"
    aria-labelledby="Details" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="Details">ปรับสถานะสินค้า</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-x">
                            <line x1="18" y1="6" x2="6" y2="18"></line>
                            <line x1="6" y1="6" x2="18" y2="18"></line>
                        </svg>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="exampleFormControlInput1">สถานะ<b style="color:red" id="status_close_<%=e.id %>">    การปิดจะส่งผลต่อโปรโมชั่นที่ขาย</b></label>
                        <select class="form-control" id="status_product_<%=e.id %>">
                            <option value="0">ปิดใช้งาน</option>
                            <option value="1">เปิดใช้งาน</option>
                        </select>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal"><i class="flaticon-cancel-12"></i> ยกเลิก</button>
                    <button type="button" class="btn btn-primary" onclick="change('<%=e.id %>')">บันทึก</button>
                </div>
            </div>
        </div>
    </div>
    <% }) %>



    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="/plugins/blockui/jquery.blockUI.min.js"></script>
    <script src="/assets/js/app.js"></script>
    <script src="/plugins/file-upload/file-upload-with-preview.min.js"></script>

    <script>
        $(document).ready(function () {
            $('#Warehouse_menu').addClass('active')
            $('#warehouse').addClass('show')
            $('#wh_product').addClass('active')
            $('#Warehouse_menu > a').attr('aria-expanded',true)
            App.init();
        });
        //First upload
        var firstUpload = new FileUploadWithPreview('myFirstImage')

    function add_product(id){
        axios.post('/Warehouse/add',{id:id,amount:$('#add_product_'+id).val()})
        .then((response)=>{
            if(response.data.Message == 'Success'){
                Swal.fire('เพิ่มสินค้าเรียบร้อย','','success')
                .then(()=>{
                        location.reload()
                    })
            }else{
                Swal.fire('เพิ่มสินค้าไม่สำเร็จ','','warning')
            }
        })
    }
    function delete_product(id){
        if(parseInt($('#delete_'+id).val()) > 0){
            axios.post('/Warehouse/delete_wh',{id:id,amount:$('#delete_'+id).val(),remak:$('#remak_delete_'+id).val()})
            .then((response)=>{
                if(response.data.Message == 'Success'){
                    Swal.fire('เบิกสินค้าเรียบร้อย','เบิกจำนวน '+$('#delete_'+id).val(),'success')
                    .then(()=>{
                            location.reload()
                        })
                }else{
                    Swal.fire('เบิกสินค้าไม่สำเร็จ',response.data.Message,'warning')
                }
            })
        }else{
            Swal.fire('เบิกสินค้าไม่สำเร็จ','โปรดใส่จำนวนสินค้ามากกว่า 0','warning')
        }
    }
    function change(id){
        axios.post('/Warehouse/change',{id:id,status:$('#status_product_'+id).val()})
        .then((response)=>{
            if(response.data.Message == 'Success'){
                Swal.fire('เปลี่ยนสถานะสำเร็จ',''+$('#delete_'+id).val(),'success')
                .then(()=>{
                        location.reload()
                    })
            }else{
                Swal.fire('เปลี่ยนสถานะไม่สำเร็จ','','warning')
            }
        })
    }
    function update_noti(){
        if(parseInt($('#noti').val()) >= 3){
            axios.post('/Warehouse/noti_stock',{amount:$('#noti').val()})
            .then((response)=>{
                if(response.data.Message == 'Success'){
                    Swal.fire('ปรับแจ้งเตือนสำเร็จ','จำนวนสินค้า : '+$('#noti').val(),'success')
                    .then(()=>{
                        location.reload()
                    })
                }else{
                    Swal.fire('ปรับแจ้งเตือนไม่สำเร็จ','','warning')
                }
            })
        }else{
            Swal.fire('ปรับแจ้งเตือนไม่สำเร็จ','จำนวนต้องมากกว่า 3','warning')
        }
    }
    </script>
    <script src="/plugins/highlight/highlight.pack.js"></script>
    <script src="/assets/js/custom.js"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->

    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="/assets/js/scrollspyNav.js"></script>
    <script src="/plugins/table/datatable/datatables.js"></script>
    <script>

        c2 = $('#style-2').DataTable({
            "oLanguage": {
                "oPaginate": { "sPrevious": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-left"><line x1="19" y1="12" x2="5" y2="12"></line><polyline points="12 19 5 12 12 5"></polyline></svg>', "sNext": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-arrow-right"><line x1="5" y1="12" x2="19" y2="12"></line><polyline points="12 5 19 12 12 19"></polyline></svg>' },
                "sInfo": "Showing page _PAGE_ of _PAGES_",
                "sSearch": '<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-search"><circle cx="11" cy="11" r="8"></circle><line x1="21" y1="21" x2="16.65" y2="16.65"></line></svg>',
                "sSearchPlaceholder": "Search...",
                "sLengthMenu": "Results :  _MENU_",
            },
            "lengthMenu": [5, 10, 20, 50],
            "pageLength": 10
        });

        multiCheck(c2);
    </script>
    <script>
        checkall('todoAll', 'todochkbox');
        $('[data-toggle="tooltip"]').tooltip()

        document.getElementById('status_product').addEventListener('change',(e)=>{
            if(e.target.value == 0){
                $('#status_close').removeAttr('hidden',true)
            }else{
                $('#status_close').attr('hidden',true)
            }
        })
    </script>

    <!-- END PAGE LEVEL SCRIPTS -->
</body>

</html>